org.apache.lucene.queryparser.flexible.standard.builders

## Class WildcardQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.WildcardQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class WildcardQueryNodeBuilder
    extends Object
    implements StandardQueryBuilder

Builds a `WildcardQuery` object from a `WildcardQueryNode` object.

### Constructor Summary

Constructors
Constructor and Description
`WildcardQueryNodeBuilder()`

### Method Summary

Methods
`WildcardQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WildcardQueryNodeBuilder

    public WildcardQueryNodeBuilder()

### Method Detail

#### build

    public WildcardQuery build(QueryNode queryNode)
                        throws QueryNodeException

Description copied from interface: `QueryBuilder`
Builds some kind of object from a query tree.

Specified by:
  `build` in interface `QueryBuilder`
Specified by:
  `build` in interface `StandardQueryBuilder`
Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree
Throws:
  `QueryNodeException`